[PDB-1782] Regression in Beaker 2.18.0 causes our AIO testing to fail Created: 2015/07/14  Updated: 2015/08/04  Resolved: 2015/07/15

Status: Closed
Project: PuppetDB
Component/s: None
Affects Version/s: PDB 2.3.5
Fix Version/s: PDB 2.3.6

Type: Bug Priority: Normal
Reporter: Ken Barber Assignee: Ken Barber
Resolution: Fixed Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified

Issue Links:
Blocks
is blocked by BKR-402 Regression in Beaker 2.18.0 AIO testi... Resolved
Template:
Story Points: 2
Sprint: PuppetDB 2015-07-15, PuppetDB 2015-07-29

 Description   

Currently the latest release of Beaker (2.18.0) has introduced a regression in the defaults for what the puppetservice should be. Its this patch basically that has caused it: https://github.com/puppetlabs/beaker/commit/d715cb1d31b2d92ac245fc55383b4dc1a3e727c0

In our code we have relied in the past on this option being 'puppetserver' but now within a minor release its changed to 'pe-puppetserver'.

For now I've added the lines:

export BEAKER_VERSION="git://github.com/puppetlabs/beaker.git#2.17.0"

To our acceptance tests:

https://jenkins.puppetlabs.com/job/platform_puppetdb_int-sys-legacystable/
https://jenkins.puppetlabs.com/view/PuppetDB/view/master/job/platform_puppetdb_intn-sys/
https://jenkins.puppetlabs.com/view/PuppetDB/view/stable/job/platform_puppetdb_intn-sys_stable/
https://jenkins.puppetlabs.com/view/PuppetDB/view/Other%20Builds/job/platform_puppetdb_intn-sys_pr/

To get this working again for us for now, but this will have to be removed once we have a proper solution.


Generated at Tue Jul 14 20:18:43 PDT 2020 using Jira 8.5.2#805002-sha1:a66f9354b9e12ac788984e5d84669c903a370049.